Download it now!
Bug 106310 - FILESAVE symmetric transition of Bézier point lost on save
Summary: FILESAVE symmetric transition of Bézier point lost on save
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
4.2.5.2 release
Hardware: x86 (IA32) All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-03-03 22:02 UTC by Regina Henschel
Modified: 2018-12-07 03:47 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Try file (7.97 KB, application/vnd.oasis.opendocument.graphics)
2017-03-04 15:37 UTC, Jacques Guilleron
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Regina Henschel 2017-03-03 22:02:42 UTC
Disable any snapping. Create a Bézier curve with three anchor points. Set the middle anchor point to symmetric transition. Save the document and reload it. Examine the middle point. Does it still have a symmetric transition? If yes, move its control points and save and reload again.

Working with such curves often leads to a corner point after reloading. The reason is, that in that cases the path is not saved with the special path command "s" for a symmetric transition, but with the generic "c" command.

So this is a weakness in implementation. It seems to use the coordinates to determine whether it is a symmetric transition or not and fails because of one off rounding inaccuracy. Instead it should use the state, which was set by the user to determine a symmetric transition.
Comment 1 Jacques Guilleron 2017-03-04 15:37:09 UTC
Created attachment 131629 [details]
Try file

Hi Regina,

I tried this curve without success on
LO 5.4.0.0.alpha0+ Build ID: f0c7cbe1d8505d3c1f5a2b2253efda35542c898b
CPU threads: 2; OS: Windows 6.1; UI render: GL; 
TinderBox: Win-x86@39, Branch:master, Time: 2017-02-22_04:35:00
Locale: fr-FR (fr_FR); Calc: CL

Jacques
Comment 2 Buovjaga 2017-03-05 19:47:36 UTC
I could reproduce (from scratch).

Arch Linux 64-bit, KDE Plasma 5
Version: 5.4.0.0.alpha0+
Build ID: ed0e8f970ff552e75222dc92ed2879aa3b3e5851
CPU threads: 8; OS: Linux 4.9; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on March 4th 2016
Comment 4 Regina Henschel 2017-04-01 21:06:40 UTC
No it is not related. The error still exists in Version: 5.4.0.0.alpha0+
Build ID: 6a59352290a5d05c4236522b56124ac06cd591ad
CPU threads: 4; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86@62-TDF, Branch:MASTER, Time: 2017-03-31_08:37:47
Locale: de-DE (de_DE); Calc: group
That build has the commit 26909d9de4c6e7165fc8f5d938ee6ef55b87cc5c already integrated.
Comment 5 Dennis Gearon 2017-12-06 04:26:40 UTC
Very similar to the problem they are having, but I just CAN'T save a file that has even ONE symmetric transition, bezier curved arrow in it. The error popup says:

"Error saving the document BypassFSM:
Write Error.
The file could not be written"

The minute I delete the one bezier curve that I've tried, the problem goes away. I do have some crashes some time later, but I am running Flash in Mozilla and Virtualbox with Windows7 in it at the same time and probably have put the computer asleep at least once by the time I get to a crash, so can't really blame Open Office Draw ....yet. 

I'm trying to draw some Control Flow diagrams for a PLC program and the Finite State Machines that are in my program, and I really need curved arrows. So for me, it's a show stopper.

PS, the keyword limited choices is EXTREMELY annoying.....
Comment 6 QA Administrators 2018-12-07 03:47:17 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug